6.0.0-git
2018-12-15

[#7231] Amavis LDAP backend for SAM
Summary Amavis LDAP backend for SAM
Queue Sam
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners Horde Developers (at)
Requester okelet (at) gmail (dot) com
Created 2008-08-23 (3766 days ago)
Due
Updated 2014-11-05 (1501 days ago)
Assigned 2008-08-25 (3764 days ago)
Resolved
Milestone
Patch Yes

History
2009-10-05 21:20:00 Jan Schneider State ⇒ Accepted
 
2009-10-04 16:20:41 okelet (at) gmail (dot) com Comment #8 Reply to this comment
Sorry, but I no longer use Horde, and I can't do any more modifications.
2009-10-01 22:05:39 Jan Schneider Comment #7 Reply to this comment
Ping?
2009-08-18 21:50:36 Jan Schneider Comment #6
State ⇒ Feedback
Reply to this comment
Are you going to update your patch with the suggestions that falon made?
2008-09-17 12:10:05 falon (at) csi (dot) it Comment #5 Reply to this comment
Testing this patch in my environment I also found what follow.



1) Net_LDAP2 is linked by horde only if I modify lib/core.php adding 
include_path written in php.ini:



line 33 of core.php - horde 3.2.2:



ini_set('include_path', ini_get('include_path') . ':' . 
dirname(__FILE__) . PATH_SEPARATOR . dirname(__FILE__) . '/../pear');





2) In "Level Options" of SAM "Spam Options", using web form, I can't 
set decimal values with '.'(dot), but only using separator 
','(commas). Unfortunately, amavisd-new accepts only values with '.', 
and not ','.
2008-09-17 09:19:12 falon (at) csi (dot) it Comment #4 Reply to this comment
Very useful!

I tried this patch, beautiful!



I notice this:

if I set every attribute in forms (spam options, whitelist, blacklist 
options), then when I reload the page I don't see any changes made.



It should be a pre-check that compile the form reading from LDAP 
attributes already set.
2008-09-01 03:05:22 Chuck Hagenbuch Deleted Original Message
 
2008-08-31 18:47:46 okelet (at) gmail (dot) com Comment #3
New Attachment: sam_amavisd_ldap.tar[1].gz Download
Reply to this comment
Hi



I have updated tar file:



- Modified driver, so it can manage now black and white lists correctly

- Updated amavis_ldap attributes.php and backends.php example 
configuration files; it now uses the most of the standard attributes 
yet defined (new attributes from dist: rewrite_sub, subject_tag, 
subject_tag2, hit_level, warn_virus_rcpt, warn_banned_rcpt, 
warn_header_rcpt, size_limit and reminder_freq)

- Updated spanish help file:

   - Modified subject_tag (this options adds the text when spam level 
is more than tag_level, different from subject_tag2)

   - Added subject_tag2 (this options adds the text when spam level is 
more than hit_level, different from subject_tag), warn_virus_rcpt, 
warn_banned_rcpt, warn_header_rcpt, size_limit, reminder_freq

- Updated spanish translation


2008-08-25 21:38:23 okelet (at) gmail (dot) com Comment #2 Reply to this comment
Please add this new attribute to attributes.php so the translation for 
the text will be available:



$_attributes['amavisReminderFrequency'] = array(

     'label' => _("Reminder frequency"),

     'type' => 'enum',

     'default' => 2,

     'required' => false,

     'params' => array(array(

           '' => _("Select Value:"),

           '1' => _("Daily"),

           '2' => _("Weekly"),

           '3' => _("Weekly + Daily"),

           '4' => _("Monthly"),

           '5' => _("Monthly + Daily"),

           '6' => _("Monthly + Weekly"),

           '7' => _("Monthly + Weekly + Daily"),

     )),

);



This is not a standard attribute from the Amavis LDAP schema, but 
could be useful for sending reminders to the users about the messages 
stored in the quarintine.


2008-08-25 12:08:44 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2008-08-24 23:59:08 Chuck Hagenbuch Patch ⇒ Yes
 
2008-08-23 22:33:04 okelet (at) gmail (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Amavis LDAP backend for SAM
Queue ⇒ Sam
Milestone ⇒
Patch ⇒ No
New Attachment: sam_amavisd_ldap.tar.gz
Reply to this comment
SAM backend for options for Amavis stored in a LDAP server.



Not much flexible in the configuration, but working for me.



Attached tar.gz with driver, attributes file example and backend 
configuration example. Some new string should be added to *.po and 
translated. Please contact me to do this in spanish.



Regards.

Saved Queries